# Uses of Interface
bsh.NameSource

Packages that use NameSource
Package
Description
bsh
bsh.classpath
bsh.util

## Uses of NameSource in bsh

Classes in bsh that implement NameSource
Modifier and Type
Class
Description
`class`
`ExternalNameSpace`
A namespace which maintains an external map of values held in variables in its scope.
`class`
`NameSpace`
A namespace in which methods, variables, and imports (class names) live.
Methods in bsh with parameters of type NameSource
Modifier and Type
Method
Description
`void`
NameSource.Listener.`nameSourceChanged(NameSource src)`

## Uses of NameSource in bsh.classpath

Classes in bsh.classpath that implement NameSource
Modifier and Type
Class
Description
`class`
`BshClassPath`
A BshClassPath encapsulates knowledge about a class path of URLs.

## Uses of NameSource in bsh.util

Methods in bsh.util with parameters of type NameSource
Modifier and Type
Method
Description
`void`
NameCompletionTable.`add(NameSource source)`
Add a NameSource which is monitored for names.